POST Agents/Appointment/GetUIDFromAppointmentId
Some tooltip text!
• 2 minutes to read
• 2 minutes to read
POST /api/v1/Agents/Appointment/GetUIDFromAppointmentId
Get the UID associated with the appointment id in the Invitation table.
NsApiSlow threshold: 2000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Appointment/GetUIDFromAppointmentId?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
AppointmentId, UseMotherId
| Property Name | Type | Description |
|---|---|---|
| AppointmentId | Integer | |
| UseMotherId | Boolean |
Response:string
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: string
Sample request
POST /api/v1/Agents/Appointment/GetUIDFromAppointmentId
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: fr,de,ru,zh
Content-Type: application/json; charset=utf-8
{
"AppointmentId": 460,
"UseMotherId": false
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
"040000008200E00074C5B7101A82E00800000000B0225D5F8B8CDA0100000000000000001000000012E4A7B35C9A4D43A9B0D89C8A6F3F7E"